Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001204Core InformUnderstandingpublic2014-03-07 06:092014-05-07 07:33
Reportermattweiner 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.7
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0001204: compiler accepts two "[things]" token in one understand line, but these cannot be processed
DescriptionIt is possible to write an understand line with two "[things]" tokens in it, but the resulting action will not process.

It seems that the second "things" token overwrites the first in the multiple object list, so that the game ends up trying to apply the contents of the second multiple object list to nothing.

This code is surely invalid.
Minimal Source Text To Reproduce
The lab is a room. The jar and the bottle are containers in the lab. The player carries a pebble 
and a feather. 

Understand "put [things] in [things]" as inserting it into.

test me with "put pebble and feather in jar and bottle". 
Additional InformationResults of test:

"You must supply a second noun.
You must supply a second noun."

Winkling out the contents of the multiple object list reveals that the contents of the list are jar and bottle. So it seems as though the objects processed by the second "things" token have overwritten the first and are being processed as the noun, and there is nothing at all in the slot for the second noun.

I was only able to do this by hacking the library message:

Include Custom Library Messages by Ron Newcomb.

The lab is a room. The jar and the bottle are containers in the lab. The player carries a pebble and a feather.

Understand "put [things] in [things]" as inserting it into.

test me with "put pebble and feather in jar and bottle".

Table of custom library messages (continued)
library-action (action-name) library-message-id (number) library-message-text (text)
-- 65 "Multiple object list: [multiple object list]. You must supply a second noun."

TagsNo tags attached.
Effect(mild) Compiler accepts invalid code
Attached Files

- Relationships

-  Notes
(0002568)
graham (administrator)
2014-03-16 13:24

A problem message is now issued to catch this.

- Issue History
Date Modified Username Field Change
2014-03-07 06:09 mattweiner New Issue
2014-03-07 08:05 EmacsUser Status new => confirmed
2014-03-16 13:24 graham Note Added: 0002568
2014-03-16 13:24 graham Status confirmed => resolved
2014-03-16 13:24 graham Resolution open => fixed
2014-03-16 13:24 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker